#ifndef SFILTERDLG_H
#define SFILTERDLG_H

#include <QDialog>
#include <QListWidget>
#include <QLineEdit>


class SFilterDlg : public QDialog
{
    Q_OBJECT
public:
    SFilterDlg();
    ~SFilterDlg();

    int GetSelectGroupID();
    int GetSelectFilterID();
    void RefreshFilter(int _nGroup);
private :
    void setWidgets();    
private :
    QListWidget *m_plwFilterGroup;
    QListWidget *m_plwFilter;
    QLineEdit *m_pleFilterGroup;
private slots:
    void Group_Insert();
    void Group_Delete();
    void Group_Modify();
    void Group_CopyPaste();
    void Group_Refresh();    
    void Group_Run();
    void GroupItemChanged(QListWidgetItem *, QListWidgetItem *);
    void ItemChanged(QListWidgetItem*,QListWidgetItem*);

    void Up();
    void Down();
    void Delete();
};

#endif // SFILTERDLG_H
